Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVectorDot Class Reference

`#include <vtkVectorDot.h>`

Inheritance diagram for vtkVectorDot:

[legend]
Collaboration diagram for vtkVectorDot:

[legend]
List of all members.

## Detailed Description

generate scalars from dot product of vectors and normals (e.g., show displacement plot)

Date:
  2002/01/22 15:29:55

Revision:
  1.31

vtkVectorDot is a filter to generate scalar values from a dataset. The scalar value at a point is created by computing the dot product between the normal and vector at that point. Combined with the appropriate color map, this can show nodal lines/mode shapes of vibration, or a displacement plot.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (63%)
  - Martin, Ken (10%)
  - Geveci, Berk (8%)
  - Lorensen, Bill (6%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkVectorDot.h)`
  - .`cxx` (`/Graphics/vtkVectorDot.cxx)`

Tests:
  vtkVectorDot (Tests)

Definition at line 50 of file vtkVectorDot.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetScalarRange (float, float)
void | SetScalarRange (float[2])
virtual float * | GetScalarRange ()
virtual void | GetScalarRange (float data[2])
## Static Public Methods
int | IsTypeOf (const char *type)
vtkVectorDot * | SafeDownCast (vtkObject *o)
vtkVectorDot * | New ()
## Protected Methods
| vtkVectorDot ()
| ~vtkVectorDot ()
void | Execute ()
## Protected Attributes
float | ScalarRange [2]

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkVectorDot::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 53 of file vtkVectorDot.h.

## Constructor & Destructor Documentation

vtkVectorDot::vtkVectorDot | ( |  | ) | `[protected]`

vtkVectorDot::~vtkVectorDot | ( |  | ) | `[inline, protected]`

| Definition at line 71 of file vtkVectorDot.h.

## Member Function Documentation

virtual const char* vtkVectorDot::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkVectorDot::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkVectorDot::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkVectorDot* vtkVectorDot::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkVectorDot::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

vtkVectorDot* vtkVectorDot::New | ( |  | ) | `[static]`

| Construct object with scalar range is (-1,1). Reimplemented from vtkObject.

virtual void vtkVectorDot::SetScalarRange | ( | float | ,
|  | float |
| ) | `[virtual]`

| Specify range to map scalars into.

void vtkVectorDot::SetScalarRange | ( | float | [2] | ) |

| Specify range to map scalars into.

virtual float* vtkVectorDot::GetScalarRange | ( |  | ) | `[virtual]`

| Get the range that scalars map into.

virtual void vtkVectorDot::GetScalarRange | ( | float | data[2] | ) | `[virtual]`

| Get the range that scalars map into.

void vtkVectorDot::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkVectorDot::ScalarRange[2]`[protected]`

| Definition at line 74 of file vtkVectorDot.h.

The documentation for this class was generated from the following file:

- Graphics/vtkVectorDot.h